# Description  

*Please fill :* Change (issue) by its number  
Fixes issue : # (issue)  

# Implementation  

*Please fill :* Describe the bug fix implementation  

# Impact  

*Please fill :*  
- [ ] High impact 
- [ ] Low impact 
- [ ] No impact  

# Validation  

*Please fill :* Describe how this bug fix has been tested  

## Checklist

- [ ] My code follows the style guidelines of this project
- [ ] I have performed a self-review of my own code
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] I have made corresponding changes to the documentation
- [ ] I have added tests (if needed)